Subject: Re: Yet another git archive all

From: Jakub Narebski <[email-masked]>
Date: Sun, 07 Nov 2010 04:00:11 -0800 (PST)

fREW Schmidt <[email-masked]> writes:

> I was trying to use this:
> https://github.com/meitar/git-archive-all.sh/blob/master/git-archive-all.sh
> 
> but I was having issues and am not really a bash programmer, so I
> wrote a new, much more minimal archive-all.
> 
> I haven't added *any* option support, it only exports as zip, and it
> does foo.zip as the file, but those things should
> be pretty easy to fix for someone who cares.  Anyway, here it is!
> 
> git ls-files --cached --full-name --no-empty-directory -z | xargs -0
> zip foo.zip > /dev/null
> git submodule --quiet foreach --recursive 'perl -e "print join qq(\0),
> map qq($path/\$_), split /\0/, qx(git ls-files -z --cached --full-name
> --no-empty-directory); print qq(\0)"' | xargs -0 zip foo.zip >
> /dev/null

If you feel it is ready for wide use, could you ad information about
this project to

  https://git.wiki.kernel.org/index.php/Interfaces,_frontends,_and_tools

Thanks in advance.

-- 
Jakub Narebski
Poland
ShadeHawk on #git